[OMV 6.X to 7.X upgrade with errors] Update packages search does not work, plugin list refers to 6.X build

  • I recently pulled the trigger and upgraded all my machines from 6.X to 7.X via omv-upgrade.


    2 of 3 went perfectly through the process but 1 of them, the most important one as it is the machine where 90% all my workload is, finished the upgrade with errors, and I am experimenting some odd behaviours from then on.

    1. Raspberry Pi4B arm64 8GB LPDDR4 --> perfect
    2. Xeon dual core x86-64 16GB DDR4 ECC --> perfect
    3. Xeon octo core x86-64 64GB DDR5 ECC --> completed with errors

    In this last machine I face 2 errors:


    1. If I click on "Check for new updates" nothing happens after the search, but if I SSH and launch:

    apt-get update

    apt-get upgrade


    Packages get correctly updated (docker-ce docker-ce-cli docker-compose-plugin as of today, from bookworm source)


    cat /etc/apt/sources.list

    Code
    deb http://deb.debian.org/debian bookworm main contrib non-free
    deb http://deb.debian.org/debian bookworm-updates main contrib non-free
    # Uncomment deb-src lines below then 'apt-get update' to enable 'apt-get source'
    # deb-src http://deb.debian.org/debian bookworm main contrib non-free
    # deb-src http://deb.debian.org/debian bookworm-updates main contrib non-free


    2. If I click on "Check for new plugins" nothing happens, plus the plugin list show 6.X plugins:



    But If I SSH and launch:


    dpkg -l | grep openmediavault


    OMV 7-X plugins are shown.


    I have tried to reboot, clear browser cache and omv-salt stage run deploy, with no luck. This machine seems to live "in the past".


    Is this a common problem after an incorrect upgrade? How to check for "consistency" after the omv-upgrade command?


    Thanks in advance.

    omv 5.5.23-1 usul arm64

    omv 5.5.23-1 usul x64


    • Official Post

    Searcht the forum for info about the fix6to7upgrade script and run it.

    omv 7.0.5-1 sandworm | 64 bit | 6.5 proxmox kernel

    plugins :: omvextrasorg 7.0 | kvm 7.0.11 | compose 7.1.3 | k8s 7.1.0-3 | cputemp 7.0 | mergerfs 7.0.3


    omv-extras.org plugins source code and issue tracker - github - changelogs


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • Searcht the forum for info about the fix6to7upgrade script and run it.

    Thank you.


    Copied the script to ./tmp and executed it via PuTTy


    bash fix6to7upgrade.sh


    Rebooted and cleared web cache, but still plugins list is at 6.X, I will check if the update button works in some days because I see the script launches apt-get update && apt-get upgrade.


    Here it is the log in case it helps. It is a pity I cannot locate the omv-upgrade log to check what failed exactly during the 6.X to 7.X upgrade (I was at the latest 6.X ver):

    • Official Post

    Try:


    head /usr/sbin/omv-mkaptidx

    sudo rm /usr/sbin/omv-mkaptidx

    wget -O - https://github.com/OpenMediaVault-Plugin-Developers/installScript/raw/master/fix6to7upgrade | sudo bash

    omv 7.0.5-1 sandworm | 64 bit | 6.5 proxmox kernel

    plugins :: omvextrasorg 7.0 | kvm 7.0.11 | compose 7.1.3 | k8s 7.1.0-3 | cputemp 7.0 | mergerfs 7.0.3


    omv-extras.org plugins source code and issue tracker - github - changelogs


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • Try:


    head /usr/sbin/omv-mkaptidx

    sudo rm /usr/sbin/omv-mkaptidx

    wget -O - https://github.com/OpenMediaVault-Plugin-Developers/installScript/raw/master/fix6to7upgrade | sudo bash

    Wow, you are the man.


    Plugin list is corrected, and although no updates are shown due to the script having been launched just a moment before, the search progress is quite longer as it was before on 6.X build, so I guess when updates are pendant, they will be shown.


    I leave the log in case someone faces the same issue.


    Thanks again.

  • jfromeo

    Added the Label resolved
  • Try:


    head /usr/sbin/omv-mkaptidx

    sudo rm /usr/sbin/omv-mkaptidx

    wget -O - https://github.com/OpenMediaVault-Plugin-Developers/installScript/raw/master/fix6to7upgrade | sudo bash

    Thanks a lot my OMV7 plugins page show correct versions now :)

    English isn't my native language, so, sorry if I make mistakes ^^


    OMV 7.0.3-1 | Linux 6.1.0-18-amd64 | openmediavault-omvextrasorg 7.0

  • Hello I ran into similar issues as above. ran the commands successfully.

    I now have OMV 7 plugins listed but am getting dpkg errors.


    apt autoremove

    Reading package lists... Done

    Building dependency tree... Done

    Reading state information... Done

    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

    8 not fully installed or removed.

    After this operation, 0 B of additional disk space will be used.

    Setting up nfs-common (1:2.6.2-4) ...

    option --nfs-version requires argument

    Error whilst converting RPCNFSDOPTS to nfsconf options.


    Conversion failed. Please correct the error and try again.

    dpkg: error processing package nfs-common (--configure):

    installed nfs-common package post-installation script subprocess returned error exit status 1

    dpkg: dependency problems prevent configuration of nfs-kernel-server:

    nfs-kernel-server depends on nfs-common (= 1:2.6.2-4); however:

    Package nfs-common is not configured yet.

    ...and more dpkg ongoing...


    How do I fix this please.

    Thanks

    JJ

  • Hi again,

    I have solved this - the entries in /etc/default/nfs-kernel-server with version details did not match.


    After changing to ensure consistency, all worked.


    JJ

  • Hi again,

    I have solved this - the entries in /etc/default/nfs-kernel-server with version details did not match.

    Hi johnjark,

    i have the same problem. You seem to have a resolution for this. But can you explain it for a beginner like me a little bit more what exactly to do?

    Thanks for more information.

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!